Subject: Re: reminder, 2.6.18 window...

From: Ben Greear <[email-masked]>
Date: Thu, 25 May 2006 00:18:31 -0700

Phil Dibowitz wrote:

> As for the clearing, in this case, the clearing is done by a command to
> the hardware - and I believe the hardware does that atomically. However,
> I could certainly add a spinlock around it if someone sees a need.

No, because then you'd also have to add the spin-lock in the hot path
to keep rx/tx threads from accessing counters at the same time.  There is no
way a patch that hurts performance like this will be accepted, but I'm
still hopeful that a patch with zero or very near zero performance impact
will be accepted.

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com